-----------------------------------------------------------------------------
-- Read data from file line by line and return the list
-----------------------------------------------------------------------------
function CF_ReadFactionsList(modulename , filename)
	print("UnmappedLands::CF_ReadFactionsList")
	io = require("io");
	local config = {};
	
	for line in io.lines(".\\"..modulename.."\\Factions\\"..filename) do
		s = string.gsub(line , "\n" , "");
		if string.find(s , "*") == nil then
			config[#config + 1] = s;
		end
	end
	
	return config;
end
-----------------------------------------------------------------------------
-- 
-----------------------------------------------------------------------------
function CF_ParseLine(s)
	local pos1 , pos2;
	
	pos = string.find(s ,"=");
	
	if pos ~= nil then
		local  param , value;

		s = string.gsub(s , "\n" , "");
		param = string.sub(s , 1 , pos - 1);
		value = string.sub(s , pos + 1 , string.len(s));

		return param , value;
	else
		return nil;
	end
end
-----------------------------------------------------------------------------
--
-----------------------------------------------------------------------------
function CF_ReadConfigFile(modulename , filename)
	print("UnmappedLands::CF_ReadConfigFile")
end
-----------------------------------------------------------------------------
--
-----------------------------------------------------------------------------
function CF_WriteConfigFile(config , modulename , filename)
	print("UnmappedLands::CF_WriteConfig")
end
-----------------------------------------------------------------------------
-- 
-----------------------------------------------------------------------------
function CF_IsFileExists(modulename , filename)
	print("UnmappedLands::CF_IsFileExists")
end
-----------------------------------------------------------------------------
--
-----------------------------------------------------------------------------
